Bug 1607845 - Monitor Tasks export is empty
Summary: Monitor Tasks export is empty
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Tasks Plugin
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Ivan Necas
QA Contact: Nikhil Kathole
URL:
Whiteboard:
: 1615850 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-24 11:47 UTC by Ales Dujicek
Modified: 2019-10-07 17:20 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:41 UTC


Attachments (Terms of Use)
tfm-rubygem-foreman-tasks-0.13.4.3-2.HOTFIXRHBZ1607845.el7sat.noarch.rpm (199.34 KB, application/x-rpm)
2019-07-23 16:22 UTC, Mike McCune
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:52 UTC
Foreman Issue Tracker 24479 None None None 2018-07-30 14:27:51 UTC
Red Hat Knowledge Base (Solution) 4285171 Customize or extend None Task export is empty even if there are tasks generated on the Red Hat Satellite. 2019-07-16 06:32:15 UTC

Description Ales Dujicek 2018-07-24 11:47:23 UTC
Description of problem:

If you use button Export on Monitor > Tasks page
you get empty CSV export

the CSV contains only header
Action,State,Result,Started At,Ended At,User
but no other data

Version-Release number of selected component (if applicable):
Satellite 6.4 snap 13

How reproducible:
always

Steps to Reproduce:
1. Monitor > Tasks > Export

Additional info:
not a regression, Sat 6.3 does not provide Export button on the affected page

Comment 2 Ivan Necas 2018-07-30 14:27:48 UTC
Connecting redmine issue https://projects.theforeman.org/issues/24479 from this bug

Comment 3 Ivan Necas 2018-07-30 14:29:06 UTC
I've hit different issue upstream, but the cause seemed to be the same: after patching the downstream with the same patch, it started working.

Comment 4 pm-sat@redhat.com 2018-07-30 16:13:03 UTC
Upstream bug assigned to inecas@redhat.com

Comment 5 pm-sat@redhat.com 2018-07-30 16:13:07 UTC
Upstream bug assigned to inecas@redhat.com

Comment 6 Ivan Necas 2018-07-30 16:18:57 UTC
Connecting redmine issue https://projects.theforeman.org/issues/24479 from this bug

Comment 7 pm-sat@redhat.com 2018-08-02 15:43:02 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24479 has been resolved.

Comment 8 Adam Ruzicka 2018-08-14 12:06:17 UTC
*** Bug 1615850 has been marked as a duplicate of this bug. ***

Comment 10 Nikhil Kathole 2018-11-05 08:35:06 UTC
VERIFIED

Version tested:
Satellite 6.5 snap 2

Export on monitor task works.

See attachment.

Comment 16 errata-xmlrpc 2019-05-14 12:37:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222

Comment 17 Mike McCune 2019-07-23 16:21:57 UTC
This bug is available in Satellite 6.5.0 and later but we are releasing a hotfix for 6.4.4 for those unable to upgrade currently.

*** Satellite 6.4.4 Hotfix ***

1) Download tfm-rubygem-foreman-tasks-0.13.4.3-2.HOTFIXRHBZ1607845.el7sat.noarch.rpm from this Bugzilla

2) install:

rpm -Uvh tfm-rubygem-foreman-tasks-0.13.4.3-2.HOTFIXRHBZ1607845.el7sat.noarch.rpm

3) restart:

foreman-maintain service restart

4) resume operations

Comment 18 Mike McCune 2019-07-23 16:22:12 UTC
Created attachment 1592919 [details]
tfm-rubygem-foreman-tasks-0.13.4.3-2.HOTFIXRHBZ1607845.el7sat.noarch.rpm


Note You need to log in before you can comment on or make changes to this bug.